<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="css/style.css">
    <title>Google Map API</title>
</head>
<body>
    <h1>My Google Map</h1>
    <div id="map"></div>
    
    
    
    
    
    
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyC_zAZLc_qMAG_jnuLabSk2wjCoUN_ZHzk&callback=initMap"
    async defer></script>
    <script>
        function initMap(){
            //Cordies
            let myLng = {lat:51.010905 ,lng:16.286153}
            //Map options
            let options = {
                zoom:17,
                center: myLng
            }
            //Create new map
            let map = new google.maps.Map(document.getElementById('map'), options)
            //Add cordies to Rogoznica street
            addMarkers({lat:51.011530 ,lng:16.285539})
            //Add marker
            function addMarkers(cordies){
                var marker = new google.maps.Marker({
                    position:cordies,
                    map:map,
                    icon: './map-marker-logo.png'
                })
            }
        }
        
        
    </script>
</body>
</html>